package model

type Result struct {
	Code    int    `json:"code"`
	Message string `json:"message"`
	Data    any    `json:"data"`
}

func (r Result) SetData(data any) Result {
	r.Data = data
	return r
}

func Success() *Result {
	return &Result{
		Code:    200,
		Message: "success",
	}
}

func SuccessD(data any) *Result {
	return &Result{
		Code:    200,
		Message: "success",
		Data:    data,
	}
}
