package cmd_handle

import (
	"acme-mana/src/conf"
	"encoding/json"
	"fmt"
	tea "github.com/charmbracelet/bubbletea"
	"github.com/spf13/cobra"
)

// ConfShow 打印 配置信息
func ConfShow(cmd *cobra.Command, args []string) {
	tea.Println()
	confJson, err := json.MarshalIndent(conf.Config(), "", "	")
	if err != nil {
		fmt.Println("序列化配置信息失败:", err)
	}
	fmt.Println(string(confJson))
}
